Bug 439729 - More preferences
More preferences
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 21:28 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-04 06:09:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-03-30 21:28:31 EDT
Description of problem:

Software update preferences doesn't have the option I would really like which is
to automatically download everything but confirm before installing

Additional one would be the ability to pick between installing automatically
security, both security and bug fixes.  Probably a series of checkboxes:

Automatically Install:

[] Security Fixes
[] Bug Fixes
[] Enhancements
Comment 1 Richard Hughes 2008-03-31 07:31:32 EDT
I thought of the three checkboxes idea too, but would there ever be a situation
where you would want bugfixes but not security updates?
Comment 2 Rahul Sundaram 2008-03-31 07:39:24 EDT
Very unlikely. Atleast I can't think of any. The likely options users would want is

1) Just security fixes
2) Both security and bug fixes
3) Everything
Comment 3 Richard Hughes 2008-04-15 18:36:07 EDT
I've sent a mail to the list, can you folow up there pls.
Comment 4 Rahul Sundaram 2008-04-15 18:41:07 EDT
sure. 
Comment 5 Bug Zapper 2008-05-14 04:27:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard Hughes 2008-07-04 06:09:15 EDT
I've asked the interaction people at Red Hat and they seem to think the options
we have now are okay. Adding more prefs increases the code paths substantially,
and I really want to concentrate on fixing all the existing bugs and use cases.

Note You need to log in before you can comment on or make changes to this bug.